@import url('https://fonts.googleapis.com/css?family=Montserrat:400,600,700,800,900&display=swap');



body, html{

	
	
	
	

}
@media (max-width:640px) {
	body.mobile-noscroll{overflow: hidden;}
}
pre{background-color:#FFF;}
.fs18{font-size:18px}
.fs20{font-size:20px}
.fs22{font-size:22px}
.fs24{font-size:24px}
.fs26{font-size:26px}

.fs-xs{font-size:10px}
.fs-sm{font-size:12px}
.fs-df{font-size:15px}
.fs-md{font-size:17px}
.fs-lg{font-size:20px}
.fs-xl{font-size:26px}
.fs-xxl{font-size:36px}
.fw-bold{font-weight:bold}
.fw-100{font-weight:100}
.fw-200{font-weight:200}
.fw-300{font-weight:300}
.fw-400{font-weight:400}
.fw-600{font-weight:600}



.message{font-size:18px;}
.details{}
.heading{padding: 8px 0px; font-size:18px;}
.heading .icon{margin-right:10px;}
.source-info .icon{margin-right:5px;}
.source-info{padding:5px 0px}
.heading span.text{font-weight:bold;}
.details .detail .detail-name{font-weight:inherit;}
.col-inline.nopadding{padding:0;}
.no-padding{padding:0!important;}
.block-inline{display: inline-block;}
.op-5{opacity:0.5}
.mb-0{margin-bottom:0}
td>.form-group{margin-bottom:0;}

.scroll-custom::-webkit-scrollbar {
    width: 6px;
	height: 6px;
}

.scroll-custom::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
}


.scroll-custom::-webkit-scrollbar-thumb {
  background-color: #999;
  outline: 1px solid slategrey;
}


#mainNav{
	background-color: #495057!important;
}
#mainNav .navbar-brand{width:auto;}
#mainNav .navbar-collapse .sidenav-toggler {
    display: block;
}



.breadcrumb{background:none; }
.breadcrumb-item i.fa{margin-right:3px;}
#preloader-wrapper{position:fixed; top:0; left:0; width:100%; z-index:15000; }
#preloader{width:0%; height:3px;background:#ffc306; display:none; }
#preloader.stop{background:#ffc306;}
input[type="checkbox"], input[type="submit"], button[type="submit"], input.btn-submit{width:auto;}
.handler-layout-notice{position:fixed; z-index:1031; top:10px; right:10px; max-width:300px;}
.entry{padding: .75rem 1rem;}
table.entries-table, table.entries-table tr:first-child td, table.entries-table tr:first-child th{border-top:none;}


.miscf-list{  margin-top:10px; margin-bottom:10px;}
.list-view-list  .miscf-list{margin-left:30px;}
.miscf-list .miscf-item{margin-right:5px;}
.miscf-list .miscf-item-name{margin-right:2px;}
.miscf-list .miscf-item-value{font-weight:bold;}
.divider{border: 1px solid #EEE; border-top:none; margin:30px 0;}
.col-head{font-size:20px; margin:10px 0;}
.col-head i.fa{margin-right:10px;}
.col-inline{padding:7px 15px;}
.col-inline .card-text{margin:0px;}

iframe.noborder{width:100%; height:100%; border:none;}
.detail-value iframe{width:100%; height:100%; border:none;}
.details-group{padding:10px 0;}
.col-detail-value .detail-value{font-weight:bold;}
.details.client-info .detail .detail-name{margin-right:5px}
.details.client-info .detail .detail-value{margin-left:80px;}
.details.client-info .detail .detail-value{margin-left:0px; width:100%; }
.details .detail .detail-value-html{font-weight:inherit}
.details .name-detail-instruction_text .detail-value-html p{
	
}

.item-group-name{padding:20px 0; font-size:22px; font-weight:100;}
.item-group-name .val-name{font-size:13px;}
.item-number{width:20px; float:left; padding-top:12px;}
.item-number, .numb{font-size: 12px; opacity: 0.5;}
th.numbtd{width:1%;}
th.actiontd{width:1%;}
.item-icon a{color:inherit;}
.item-thumb{width:50px; height:50px; overflow:hidden; float:left; margin-right:20px;}
.item-thumb.item-thumb-icon{width:20px; height:20px;  overflow:visible;}
.item-name{float:left; }
.item-name-text .priority{font-size:12px;}
.item-name-text a, .list td a.link{text-decoration:none;}

.item-name-text{float:left; max-width:100%; padding:5px 0; font-size:20px;}
.item-thumb{padding-top:8px;}
.item-ctrls{float:right;}
.item-labels{display:inline; font-size:13px; font-weight:100; position:relative; top:-10px; }
table td .item-labels{position:relative; top:-10px; margin-left:5px;}
.item-preview .item-labels .badge{
    max-width: 100px;
    text-overflow: ellipsis;
    overflow: hidden;	
}

table tr.tr-group td{background:none;}
.item-description{}
.list-view-list .item-description{margin-left:30px;}



.list-view-preview .item-cell .item{margin:1px; overflow:hidden; border:1px solid #DDD; border-radius:3px; padding:10px; box-shadow: 0 1px 2px rgba(0,0,0,.05);
}
.list-view-preview .item-body{width: 100%;}
.list-view-preview .item-name{width:100%; text-align:center; overflow:hidden; }
.list-view-preview .item-name a{max-width:100%; overflow: hidden; text-overflow:ellipsis; white-space:nowrap; display:block}
.list-view-preview .item-name-text{width:100%;}
.list-view-preview .item-thumb{width:100%; height:auto;}
.list-view-preview .item-image{width:100%;}
.list-view-preview .miscf-item {display:block;}
.list-view-preview .item-ctrls {
	margin-top:10px;
	text-align:center;
    float: none;
}
.list-view-preview  .item-cell{background:#FFF;}
.list-view-preview  .item-cell:hover{background:#FCFCFC;}

.list-view-preview .item-description{
	margin-left:0px;
	
    max-height: 150px;
	overflow:hidden;
	
}
.list.list-product.list-view-preview .item-name{padding:15px 5px;}
.list.list-view-preview .product-description{height:auto;overflow:hidden;}
@media (min-width: 768px){
	.list.list-view-preview .product-description{margin-top:10px; height:18px;overflow:hidden; font-size:12px;}
	.list.list-view-preview .product-description:hover{height:auto;overflow:hidden;}
}
.list-view-preview.list-product  .item-description{
	margin-left:0px;
	min-height:none;
	max-height:none;
}
.table td .btn-group{white-space:nowrap;}

.list-view-preview .item-cell{width:100%; float:none;}
@media (min-width: 400px) {
	.list-view-preview  .item-cell{float:left;}
}

@media (min-width: 400px) {
	.list-view-preview .item-cell{width:50%;}
}
@media (min-width: 600px) {
	.list-view-preview .item-cell{width:33%;}
}
@media (min-width: 800px) {
	.list-view-preview .item-cell{width:25%;}
}

@media (min-width: 400px) {
	.list-view-preview.list-cols-3 .item-cell{width:100%;}
}
@media (min-width: 600px) {
	.list-view-preview.list-cols-3 .item-cell{width:50%;}
}
@media (min-width: 800px) {
	.list-view-preview.list-cols-3 .item-cell{width:33.3%;}
}

@media (min-width: 400px) {
	.list-view-preview.list-cols-2 .item-cell{width:100%;}
}
@media (min-width: 600px) {
	.list-view-preview.list-cols-2 .item-cell{width:100%;}
}
@media (min-width: 800px) {
	.list-view-preview.list-cols-2 .item-cell{width:50%;}
}

@media (min-width: 400px) {
	.list-view-preview.list-cols-1 .item-cell{width:100%;}
}
@media (min-width: 600px) {
	.list-view-preview.list-cols-1 .item-cell{width:100%;}
}
@media (min-width: 800px) {
	.list-view-preview.list-cols-1 .item-cell{width:100%;}
}




label.switcher {
	position: relative;
	display: inline-block;
	line-height:initial; height:auto;
	width: 60px;
	height: 34px;
	margin:0;

}


.switcher input {display:none;}


.switcher-slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.switcher-slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .switcher-slider {
  background-color: #337ab7;
  background-color: #007bff;
}

input:focus + .switcher-slider {
  box-shadow: 0 0 1px #337ab7;
  box-shadow: 0 0 1px #0069d9;
}

input:checked + .switcher-slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}


.switcher-slider.round {
  border-radius: 34px;
}

.switcher-slider.round:before {
  border-radius: 50%;
}



.txt-ellipsis{
    white-space: nowrap; 
    overflow: hidden;
    text-overflow: ellipsis;	
	max-width:100%;
}


tr.item .imgletter-wr img, .media.item .imgletter-wr img{width:100%;}
tr.item, .media.item{margin-bottom:5px;}
.col-name-entryimg{width:1%;}
td.col-name-entryimg .imgletter-wr{min-width:30px;}
.col-name-entryimg .imgletter, .col-name-entryimg .imgletter-wr{margin:0!important;}
td.col-name-entryimg .imgletter{margin:0 auto;}



.item .imgletter {
	float:left;
    font-size: 16px;
    text-align: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    line-height: 40px;
    background: #f6f6f6;
    color: #F6F6F6;
    margin-right: 20px;
    margin-left: 5px;
	font-weight:600;
}
.item .imgletter-in-card {
    
    height: 80px;
    line-height: 80px;
    font-size: 30px;
    text-align: center;
    color: #FFF;

	border-radius: 0;
	
}
.item td .imgletter {
    width: 30px;
    height: 30px;	
    line-height: 30px;	
    font-size: 13px;	
}



.search-wrapper{ float:right;}
input.searchbar{border:none; width:100%; padding:7px; font-size:inherit;  border:none; border-radius:3px; border-top-right-radius:0px; border-bottom-right-radius:0px; width:100%!important;
}
.input-searchbar{margin-bottom:0px; width:100%; position:relative; }
table.tabsearch tr td{background:transparent;}
.tabsearch .input-button button{font-size:inherit;border-top-left-radius:0px; border-bottom-left-radius:0px;}

.search-ins{position:absolute; padding:6px; color:#CCC; right:0px;}
.search-ins > div{margin:0 5px;}
.search-preloader{display:none;}
.search-btnclose{display:none;}

table.tabsearch{width:100%;}
table.tabsearch td{padding:0px;}

table.tabsearch{border:none;}
.searchbox{}
.noinpad > .searchbox{margin-top:0px;}
.searchbox{width:100%;}


#modalwindowupload .modal-dialog.modal-lg{width:95%;}
.dz-upload {
    display: block;
    background-color: #428bca;
    height: 2px;
    width: 0%;
}
.dz-complete .dz-upload{background-color: #5cb85c; }
.dz-preview{color:#333; font-size:14px; float:none; clear:both; margin-bottom:15px;}
.dz-size{float:right;}
.dz-filename{float:left;}
.dz-success-mark, .dz-error-mark, .dz-image{display:none;}
.dz-details:after {
     visibility: hidden;
     display: block;
     font-size: 0;
     content: " ";
     clear: both;
     height: 0;
}
.dz-processing .dz-progress{height:2px; background:#F8F8F8;}
#dropzone .text{font-size:40px; display:block; text-align:center; border:2px dashed #eee; color:#eee; padding:20px 10px;}



@media(min-width: 905px){
	.searchbox{width:auto;}
}

.app-search-list-wrapp{position:absolute; z-index:500; 	width:100%; color: #333;}
.app-search-list-wrapp table tr, .app-search-list-wrapp table tr td{background:none;}
.app-search-list{margin-top:-1px; font-size:16px; cursor:default; background:rgba(255,255,255, 1); border:1px solid #abbac3; border-top:none; box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.2);    max-height: 300px;
    overflow-y: auto; font-weight:100;}
.app-search-list div.hint:first-child{}
.app-search-list div.hint{padding:5px 8px;}
.app-search-list div.hint:last-child{padding-bottom:10px;}
.app-search-list div.hint.active{background:#F6F6F6; color:#000;}
.app-search-list a:hover{text-decoration:none;}
.app-search-list .hint-name{font-size:11px;}

.app-search-list .arrow{float:right; padding-top:8px; color:#CCC;}
.hint .icon{margin-right:10px;}
.hint .counts{font-size:10px; position:relative; top:-10px; margin-left:5px;}
.hint .desc{padding:0px; margin:0px; font-size:14px; color:#666;}
.hint .price{padding:0px; margin:0px; background: none;}
.hint .hint-price{
	background:#FFD504; color:#000; background:#CCC; color:#FFF;padding:1px 3px; margin:0 5px;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;

}
.hint .hint-substance{
	background:#a0d468 ; color:#FFF; padding:1px 3px; margin:0 5px; font-size:16px;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;
}


.hint .img{float:left; width:30px; height:30px; border-radius:50%; overflow:hidden; margin-right:20px; -webkit-mask-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAIAAACQd1PeAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAA5JREFUeNpiYGBgAAgwAAAEAAGbA+oJAAAAAElFTkSuQmCC);}

.app-search-list-wrapp  td{vertical-align:middle!important; padding:0px;}
.hint .img img{max-width:100%; height:auto;}
@media screen and (min-width: 768px) {
	.custom-collapse .collapse{
		display:block;
		visibility: visible;
	}
}
.cpointer{cursor:pointer;}
.movebar{cursor:pointer;}
.sortable-item{padding-top:10px; padding-bottom:5px;}
.sortable-item-placeholder{background:#f8f9fa;}
.ui-sortable-helper{box-shadow: 0px 1px 1px 2px rgba(0,0,0,0.1); background:#FFF;}

#appmodal .modal-body{padding:0;}
#appmodal .modal-body iframe{width:100%; height:100%; border:none;}
@media (min-width: 768px){
	.modal-lg {
		max-width: 60%;
	}
}
.hide{display:none!important;}
.modal-preload{padding:10px; font-size:20px; text-align:center;}
input::placeholder, select::placeholder, textarea::placeholder {
  
  
  opacity:0.5!important;
}

.row.arrayitems{border-bottom:1px solid #EEE; margin-bottom:20px; padding:10px;}
.vertical-table-head table tr th.n{
	vertical-align: bottom;
}
table tr th.n .text-description{
	
	font-weight:normal;
}
.vertical-table-head table tr td.qv{text-align:center;}
.vertical-table-head table tr th.q{
	height: 230px;
	max-width: 1px;
	position: relative;
	vertical-align: bottom;
	padding: 0;
	white-space:nowrap;
}
.vertical-table-head table th.q > div{
    white-space:nowrap;
    transform: rotate(-90deg);
	padding:10px;
}
.form-check-inline .form-check-label input{display:block; float:left; position:relative; top: 5px;}
/*--------------------------------------*/




.fixed-table-head .table-responsive{
	max-height: 30em;
	overflow-x: auto;
	overflow-y: auto;
	position: relative;
}
.fixed-table-head table{
	border-collapse: collapse;
}
.fixed-table-head table thead, .fixed-table-head table tbody{position: relative;}
.fixed-table-head table thead tr:last-child th {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  z-index: 1001;
  
}

.fixed-table-head table tbody td.cell-row,.fixed-table-head table tfoot td.cell-row {
  position: -webkit-sticky;
  position: sticky;
  left: 0;
  z-index: 1000;
  
}


.fixed-table-head thead tr:last-child th.sortable{
  left: 0;
  z-index: 1002;
}


/*--------------------------------------*/
.breadcrumb-item+.breadcrumb-item i.fa{display:none;}
.breadcrumb-item+.breadcrumb-item::before{
	content:"\f054";
	font-family: FontAwesome;
	font-size:60%;
	position:relative;
	top:-1px;
	opacity:0.5;
}
.cross-fields{margin-bottom:20px;}
.cross-fields-head{cursor:default; font-weight:600;}
.cross-fields-head .icon{margin-right:10px;}
.cross-fields-head .badge{position:relative; top:-10px; font-size:65%}
.cross-field span{margin-left:5px;}
.cross-field>input[type="checkbox"]{margin-left:5px;}
.cross-fields .form-group{margin:0;margin-right:5px;}
.cross-fields .form-group select{width:70px;}
.cross-fields-list{
	max-height:300px;
	overflow-y:auto;
	background:#FCFCFC; 
	padding-top:10px;
}
#cross-fields-list-opts .cross-fields-list{
	max-height:600px;
}
#cross-fields-list-vals .cross-fields-list{max-height:600px;}
.form-group-type-layout .cross-fields-list{
	background:none; 
}
.form-group-type-layout .filters-body ul.level-2{
	background:#FCFCFC; 
}
.cross-fields-list li label{} 
.cross-fields-list li.checked label.cross-field, .cross-fields-list li label.cross-field.checked{color:#17a2b8; color:#28a745; color:#17a2b8; color: #007bff;}
.cross-fields-list li.checked label.cross-field, .cross-fields-list li label.cross-field.checked{font-weight:600;}
.cross-fields-list li.cross-field-item-input .form-group.additional{display:none; margin-bottom:5px;}
.cross-fields-list li.cross-field-item-input .additional-options{display:none; margin-left:5px;margin-right:5px;}
.cross-fields-list li.cross-field-item-input .additional-options .card-body{padding:15px 10px;}
.cross-fields-list li.cross-field-item-input .form-group.additional.additional-opts{margin-bottom:5px;}
.cross-fields-list li.cross-field-item-input .form-group.additional.additional-opts .desc{display:block; width:100%}

label span.text-label{margin-left:5px;}
.cross-fields-list li.cross-field-item-input .form-group.compare{display:none; margin-bottom:20px;}
.cross-fields-list+.ctrls{margin-top:10px; margin-bottom:20px}
.cross-fields-list li.cross-field-item-input.checked .form-group.additional,
.cross-fields-list li.cross-field-item-input.checked .additional-options{display:block;}
.cross-fields-list li.cross-field-item-input.checked .form-group.compare{display:block;}
.cross-fields-list li.checked .cross-field-ctrl-misc{display:block;}
.cross-fields-list ul{margin-bottom:0}
.cross-fields-filter .cross-fields-list{max-height:none;}
.cross-fields-ffilter .cross-fields-list{max-height:none;}
.cross-field-ctrl{opacity:0.2;}

.cross-fields .btn-link .icon{margin-right:5px;}



.cross-fields-list .compare-filter .text-center{width:100%;}
.cross-fields-list .compare-filter{margin-top:5px;}
.cross-fields-list .compare-filter .compare-col{width:40%; float:left;}
.cross-fields-list .compare-filter .compare-col-vs{width:20%; float:left; padding:3px 0;}


.data-table th .col-name-data{white-space: nowrap; overflow: hidden;
  text-overflow: ellipsis; max-width:150px;}
.data-table th[colspan] .col-name-data{max-width:none;}
.data-table th[colspan="1"] .col-name-data{max-width:150px;}
.data-table th[colspan="2"] .col-name-data{max-width:250px;}
.data-table th[colspan="3"] .col-name-data{max-width:350px;}
.data-table th .config-toggle{margin-right:5px; white-space: nowrap; display:inline-block; cursor:pointer; color:inherit; opacity:0.6; font-size:12px;}

.data-table .cell-row .config-toggle{white-space: nowrap; display:inline-block; cursor:pointer; color:inherit; opacity:0.6; font-size:12px; margin-right:5px; position:absolute; left: -20px; bottom:0;}
.data-table .cell-row .config-toggle


{display:none;}
.data-table .cell-row:hover .config-toggle,
.data-table th:hover .config-toggle
{display:inline-block;}
.data-table .cell-val{position:relative;}
.data-table th .col-order{margin-right:5px; white-space: nowrap;}
.data-table th .col-order a{color: inherit; opacity:0.6; margin-left:2px;}
.data-table th .col-opts{margin-right:5px; white-space: nowrap;}
.data-table th .col-opts a{color: inherit; opacity:0.6; margin-left:2px;}
.data-table th .col-ctrls-config{color: inherit; opacity:0.6; cursor:pointer; float:left;}

.data-table td.cell{vertical-align: middle;}
.data-table td.cell .cell-val .badge{margin-left: 5px;}
.data-table td.cell .misc-calcs{opacity:0.5; margin-left:5px;}
.data-table td.cell .misc-calcs-noop{margin-left:5px;}
.data-table td.cell .misc-calc{margin-right:2px;}
.data-table td.cell.cell-level-2{font-weight:bold;}
.data-table tbody td.cell.cell-subtotal{font-weight:500;}
.data-table tbody td.cell.cell-hlevel-1,.data-table tbody td.cell.cell-hlevel-2,.data-table tbody td.cell.cell-hlevel-3{background:#FDFDFD;}

.data-table td.cell.cell-type-number{text-align:right; white-space: nowrap;}
.data-table td.data-cell-numb, td.cell-row{background:#FCFCFC; text-align:right;}
.data-table a.tab-ctrl-href{color:inherit;}

.cross-field-ctrl{width:20px; float:left; text-align:center;}
.cross-field-item{padding:3px 2px;}
.cross-field-item label{padding-top:2px;}
.cross-field-item .form-group{margin-left:5px;}
.cross-field-item .float-none .form-group select{width:100%}
.cross-field-item .float-none{margin-bottom:10px;}

.data-table tr.data-row-total td{font-weight:bold; background:#FCFCFC;}
.data-table thead th{background:#FCFCFC; vertical-align: middle;}
.data-table thead th .desc{font-weight:100; white-space: normal;}
.data-table thead th .totals{font-weight:100; white-space: normal;}
.data-table thead th .totals .simplev-value{font-weight:600; white-space: nowrap; margin-right:3px;}
.data-table thead th .movebar{opacity:0.2; margin-right:10px;}
.data-table tr.main-compare-row th{border-left:none; border-right:none;}
.data-table td.compare-v-divider, .data-table th.compare-v-divider{
	border-left-width:3px;
	border-left-style:dashed;
}
.data-table tr.main-compare-row th:first-child{
	border-left:1px solid #dee2e6;
}
.data-table tr.main-compare-row th:last-child{
	border-right:1px solid #dee2e6;
}
.data-table-search{margin-bottom:10px;}
.data-table-search .searchbox input.searchbar{border:1px solid #eee; 
box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;}
.data-table.tabsize-xs .fs-df{
	font-size:13px;
}
.data-table.tabsize-xs th,
.data-table.tabsize-xs td
{
	font-size:12px;
	padding: .2rem;
}
.data-table.tabsize-sm .fs-df{
	font-size:15px;
}
.data-table.tabsize-sm th,
.data-table.tabsize-sm td
{
	font-size:14px;
	
	padding: .5rem;
}

.filtered li a {
    padding: 6px 5px;
}

.filtered{margin-top:10px;}
.filtered ul, .filtered ul li, .filtered ul li div.levels{float:left;}
.filtered ul.list-unstyled.levels.level-0{margin-bottom:2px;}

.filters-body .count, .filtered .count {
    font-size: 10px;
    opacity: 0.7;
    margin-left: 5px;
    position: relative;
    top: -5px;
}


.filtered li.level-0{overflow:hidden; margin-right:5px; border:none; margin-bottom:3px;}
.filtered li.level-0:last-child{margin-right:0px;}
.filtered div.levels{padding:8px 5px; color:#000; border:none; background:#FCFCFC;}
.filtered li.level-1:last-child div.levels{border-right:none; }
.filtered li.level-1{float:left; margin-right:0px;}

.filtered li.level-1:last-child{margin-right:0px;}
.filtered div.levels:hover{background:#dc3545!important; color:#FFF;}
.filtered div.level-0{font-weight:bold;}
.filtered .hover div.level-1{background:#dc3545!important; color:#FFF;}
.filtered a{color:inherit; text-decoration:none;}
.filtered a i.fa.icon{margin-right:5px;}
.filtered a i.fa.fclear{margin-right:5px; display:none;}
.filtered div.levels:hover i.fa.fclear{display:inline-block;}
.filtered div.levels:hover i.fa.icon{display:none;}

.out .list-preload, .out ul.level-2 {
    display: none;
}
.a,.b{margin-right:0px;}
.in .a{display:none;}
.in .b{display:inline-block;}
.out .a{display:inline-block;}
.out .b{display:none;}

#chart-body-toggle.in{display:none;}
#chart-body-toggle.out{display:block;}

.out .b{display:none;}
.out .list-preload, .out ul.level-2{display:none;}
.in .list-notfound{display:inline-block;}
.out .list-notfound{display:none;}
.filters-body  ul.level-2, .filters-body  .list-preload, .filters-body  .list-notfound {
    padding: 10px 5px;
    padding-left: 20px;
    max-height: 300px;
    overflow-y: auto;
}

.filters-body  ul.level-2 li label input{margin-right:5px;}

.filters-body  ul.level-2{background:#F6F6F6; margin-top: -10px;}
.filters-body ul.level-1>li{margin:10px 0; }

.filters-body .filter-head{cursor:default; margin: 15px 0; font-weight:500;}
.filters-body .filter-head .icon-collapse{opacity:0.2}
.filters-body label{white-space: nowrap;}


nav.pagination-nav{display:inline-block;}
.block-pagination{float:right;}
.block-pagination .text-parts {margin-right:10px;}
.out .cross-fields-list{display:none;}
.data-table-settings{background:#FCFCFC; padding:10px; border: 1px solid #dee2e6; border-bottom:none;}
.data-table-search{float:left;}
.data-table-chart{display:none;}
.data-table-pagination-cols{float:right;}
.data-table-pagination-rows{margin-top:10px;}
.data-table table{margin-bottom:0}

a .fa.icon{margin-right:10px}


@media (min-width: 900px) {
	.card-columns{
		column-count: 6;	
	}
}
@media (max-width: 800px) {
	.card-columns{
		column-count: 4;	
	}
}
@media (max-width: 600px) {
	.card-columns{
		column-count: 2;	
	}
}
@media (max-width: 400px) {
	.card-columns{
		column-count: 1;	
	}
}
.card-columns.custom-column-count-2{
	column-count: 2!important;	
}

.details .card{margin-bottom:30px;}




.helpbtn{
	margin-left:3px;
	cursor:pointer;
	color:#17a2b8!important;
}
#helpdesk{
	position:fixed;
	top:0;
	right:0;
	bottom:0;
	width:500px;
	background:#F6F6F6;
	background:#FFF;
	z-index:10;
	box-shadow: -2px 2px 2px rgba(0,0,0,0.1);
	max-width:100%;
}
#helpdesk .header{
	margin-left:5px;
	margin-top: 10px;
	float:left;
	
}
#helpdesk .header h4{
	padding:0 10px;
}
#helpdesk .ctrls{
	padding-top:10px;
	text-align:right;
	float:right;
}
#helpdesk .content{
	padding:10px;
	font-size:16px;	
	height:100%;
	width:100%;
	overflow:hidden;
	overflow-y:auto;
	max-height: 100%;
}
#helpdesk .content blockquote{
	margin-left:2em;
	padding-left:0.5em;
	border-left:2px solid #777;
}
#helpdesk .help-labels{
	margin-bottom:2px;
}
#helpdesk .help-labels .badge{margin-right:1px;}
#helpdesk .extlink{color:inherit; margin-left:2px;}
#helpdesk .helpbtn{
	background:#EEE; padding: 3px 5px; margin:0;
    color: #212529!important;
    background-color: #f8f9fa;
    border-color: #f8f9fa;
	border-radius:5px;	
	color:#007bff!important;
}
.helpcontent .helpbtn{
	background:#EEE; padding: 3px 5px; margin:0;
    color: #212529!important;
    background-color: #f8f9fa;
    border-color: #f8f9fa;
	border-radius:5px;	
	color:#007bff!important;
}

label .helpbtn,.col-detail-label .helpbtn,.col-head .helpbtn{
	opacity:0;
}
label:hover .helpbtn,.col-detail-label:hover .helpbtn,.col-head:hover .helpbtn{
	opacity:1;
}
.break-all-words table td{word-break: break-all;}
table td.tab-column-index{word-break: normal;}

.imgwrapper-cell{display:inline;}

.imgwrapper{width:50px; height:50px; overflow:hidden; background:#fff; border-radius:50%;}
img.val-img{width:100%; height:auto;}

.level-toggle{margin-right:5px;}

img.val-img.val-img-r{width:45px; height:45px; overflow:hidden; border-radius:50%; object-fit: contain; margin-right:10px; background:#fff;}


.hlevel-3 td.cell-hlevel-2,.hlevel-3 th.cell-hlevel-2{display:none;}
.hlevel-3 td.cell-hlevel-1,.hlevel-3 th.cell-hlevel-1{display:none;}
.hlevel-3 td.cell-hlevel-0,.hlevel-3 th.cell-hlevel-0{display:none;}

.hlevel-2 td.cell-hlevel-1,.hlevel-2 th.cell-hlevel-1{display:none;}
.hlevel-2 td.cell-hlevel-0,.hlevel-2 th.cell-hlevel-0{display:none;}

.hlevel-1 td.cell-hlevel-0,.hlevel-1 th.cell-hlevel-0{display:none;}
.icon-growth i.fa{margin-right:5px;}
.card.kpi-item{border: none;}
.card .kpi-item-name .badge{top:-5px; position:relative; color:#999;}
.kpi-item .kpi-item-color-circle{border-radius:50%; width:10px; height:10px; display:inline-block; margin-right:5px;}
.chartfiltercontainer .icon{margin-right:5px; opacity:0.5}
.chartfiltercontainer{padding:5px 15px;}
.kpi-value .dim{margin-left:5px;}
.kpi-value-avg{}
.kpi-growth-inline{margin-left:5px;}
.kpi-tab{
	cursor: pointer;
}
.kpi-tab.active .borderisactive{
	border-top:5px solid #007bff;
}
.kpi-tab .borderisactive{
	border-top:5px solid transparent;
}
.kpi-tab-content{display:none;}
.kpi-tab-content.active{display:block;}
.kpi-tab:hover{
	background-color:#f9f9f9;
}
.kpi-tab{border-bottom-left-radius:0;  border-bottom-right-radius:0; border-bottom:none;  border-radius:0; border:none;}
.kpi-tab-content{border-top:none; border-top-left-radius:0;  border-top-right-radius:0; border-radius:0; border:none;}
.widget-body{margin-bottom:10px; border: 1px solid #dee2e6; border-radius:5px; overflow:hidden;}
.widget-type-value{padding:15px;}
.widget-type-value .kpi-list-item{margin-bottom:10px;}
.widget-type-value .totals{margin-bottom:20px;}
.widget-type-values .kpi-named-filter{padding:15px 20px;  

}
.kpi-tabs .kpi-growth-desc{display:none; margin-left:7px;}
.kpi-tabs .kpi-tab.active .kpi-growth-desc{display:inline-block;}
.widget-type-value .legend{margin-bottom:20px;}
.legend-square{width:10px; height:10px;  display:inline-block; margin-right:5px; border-radius:50%; position:relative; top:0px;}
.label-a, .label-b{ display:inline-block; margin-right:20px;}

.widget-container-admin .data-table-settings{display:none;}


.comparsion-name, .comparsion-a,.comparsion-b,.comparsion-vs{margin-right:10px;}
.comparsion-a,.comparsion-b{
	
	background:#F3F3F3;
	background:#e2e6ea;
	border:1px solid #dae0e5;
	display:block-inline; padding:5px 8px;
	border-radius:3px;
	}
.comparsion-info{margin-top:10px; margin-bottom:10px;}
label.cross-field .badge{top:-8px; font-weight:400; position:relative;}



.popover.show{
	box-shadow: 1px 1px 8px rgba(0,0,0,.2);	
}

.popover.popover-static{
	position: absolute; 
	top: 0px; 
	left: 0px;
	
	visibility: hidden;
	min-width: 200px;
}
.popover.popover-static.show{visibility: visible;}


.imported-files .item-removed-1 .item-name-text{text-decoration:line-through}


.cleared:after {
  content: "";
  display: table;
  clear: both;
}




.ms-projects-list{}
.ms-projects-item-name a, .ms-projects-item-logo-prefix a{color:inherit; text-decoration:none;}

.ms-projects-item-logo-prefix{font-family: 'Montserrat', sans-serif; font-size: 25px; font-weight:800; white-space:nowrap; overflow:hidden; text-overflow: ellipsis;}
.ms-projects-item-logo-prefix img{position:relative; top:-10px;}
.ms-projects-item{text-align:center;  margin:5px; padding:20px 10px; background:#FCFCFC; border-radius:3px; box-shadow: 0 1px 2px rgba(0,0,0,.2);}
.ms-projects-item-logo{margin-bottom:10px;}
.ms-projects-item-name{font-size:20px;white-space:nowrap; overflow:hidden; text-overflow: ellipsis;}
.ms-projects-item-description{font-size:14px; color:#777; margin-top:10px; }
.ms-projects-item-name .admin-icon{margin-left:10px; font-size:14px; color:#777;}
.ms-projects-item-cell{position:relative; width:20%; float:left;}



@media (max-width:1024px) {
	.ms-projects-item-cell{ width:25%;}	
}
@media (max-width:768px) {
	.ms-projects-item-cell{ width:50%;}	
}
@media (max-width:640px) {
	.ms-projects-item-cell{ width:100%;}	
}

.col-detail-value.name-detail-encode_url iframe,
.form-group-type-iframe iframe{
	width:100%; height:100%; border:none;	
	height:500px;
	border: 1px solid #dee2e6;
}
#check_result_table tr.picked td{
	background:rgba(255, 193, 1, 0.8);
}
.form-controls.text-center input{
	margin-left:3px;
}

.mce-tinymce.mce-container.mce-fullscreen {
    z-index: 1100!important;
}
.handler-layout-menuctrl .nav-item .divider{margin-top:5px;margin-bottom:5px;}
.col-detail.name-detail-instruction_url .detail-value{word-break: break-word;}

.banner-container{
	min-width:500px;
	min-height:500px;
}

